Skip to content

Firmware ​

33 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
deleteAutoCheckUpgradeDELETEDelete autoCheck upgrade plan
editAutoCheckUpgradePATCHEdit autoCheck upgrade plan
uploadUpgradeFirmwarePOSTUpload upgrade firmware
deleteUpgradeFirmwareDELETEDelete upgrade firmware
createFirmwareUpgradePlanPOSTCreate firmware upgrade plan based on manually uploaded firmware
getUpgradeFailedDeviceInfosGETGet the list of devices which upgrade failed
getUpgradeFailedDeviceFirmwareInfoGETGet firmware information about the failed device to be upgraded
createFailedDeviceModelPlanPOSTCreate Upgrade Plan for Failed Device
createRollbackPOSTCreate rollback plan
deleteUpgradePlanDELETEDelete firmware upgrade plan
editUpgradePlanPATCHEdit firmware upgrade plan
getGridAutoCheckUpgradeGETGet autocheck upgrade plan
createAutoCheckUpgradePOSTCreate autocheck upgrade plan
checkUploadUpgradeFirmwareLimitPOSTCheck the limit of the firmware pool
getGridFirmwareListGETGet the uploaded firmware list
editFirmwareUpgradePOSTEdit the uploaded firmware
getTargetFirmwareAllSitesGETGet all sites of target firmware
getModelBySitesPOSTGet the model of the specified site
getcriticalModelNumGETGet the number of critical models
getGridFirmwarePoolListGETGet firmware pool list
getModelFirmwareReleaseNotesPOSTGet release notes information
getGridUpgradeLogsGETGet firmware upgrade logs
getEmailReminderSwitchStatusGETGet Email Reminder Switch Status
modifyEmailReminderSwitchStatusPATCHModify Email Reminder Switch Status
getGridUpgradePlansGETGet firmware upgrade plans
createUpgradePlanPOSTCreate firmware upgrade plan
getTryBetaStatusGETGet try-beta switch status
modifyTryBetaStatusPATCHModify try-beta switch status
getTryBetaChannelGETGet try-beta Channel Info
modifyTryBetaChannelPATCHModify try-beta Channel Info
getPlanUpgradeModelInfoPOSTGet the upgradeable information of the selected model
getGridPlanUpgradeModelListGETGet the list of models
getGridPlanUpgradeSiteListPOSTGet the sites of the selected model

deleteAutoCheckUpgrade ​

DELETE /openapi/v1/{omadacId}/autoCheck/{autoCheckId}/upgrade

Delete autoCheck upgrade plan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
autoCheckIdpathstringyesAuto Check ID
json
// omada_call_operation
{
  "operationId": "deleteAutoCheckUpgrade",
  "params": {
    "autoCheckId": "<autoCheckId>"
  }
}
Details, permissions and error codes

Delete autoCheck upgrade plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-7131 - Controller ID not exist.

editAutoCheckUpgrade ​

PATCH /openapi/v1/{omadacId}/autoCheck/{autoCheckId}/upgrade

Edit autoCheck upgrade plan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
autoCheckIdpathstringyesAuto Check ID

Request body — application/json (required) — schema AutoCheckUpgradeCreateInfo

FieldTypeRequiredDescription
modelTypeInfosarray<ModelTypeInfoOpenApiVO>yesList of model type selected by the user, and it should not be null
siteIdsarray<string>yesList of sites selected by the user, and it should not be null
occurrenceUpgradeBaseScheduleTimeOpenApiVOyes(UpgradeBaseScheduleTimeOpenApiVO not expanded; call omada_get_schema "UpgradeBaseScheduleTimeOpenApiVO")
channelintegeryesChannel should be a value as follows: 0: stable; 1: Release Candidate(RC); 2: Beta, and it should not be null
json
// omada_call_operation
{
  "operationId": "editAutoCheckUpgrade",
  "params": {
    "autoCheckId": "<autoCheckId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Edit autoCheck upgrade plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.

uploadUpgradeFirmware ​

POST /openapi/v1/{omadacId}/files/upgrade/firmware

Upload upgrade firmware

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
descriptionquerystringyesDescription of upload firmware
showModelquerystringyesShowModel of upload firmware, you can also get this field throw: "Get the model of the specified site"
compoundModelquerystringyesCompoundModel of upload firmware, you can also get this field throw: "Get the model of the specified site"
targetEnablequerybooleanyesDo the sites set up specified firmware, it should be a value as follows: true, false
targetSitesquerystringnoA string of target site IDs separated by commas, exists when 'targetEnable' is true.

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)noFirmware file.
json
// omada_call_operation
{
  "operationId": "uploadUpgradeFirmware",
  "params": {
    "description": "<description>",
    "showModel": "<showModel>",
    "compoundModel": "<compoundModel>",
    "targetEnable": "<targetEnable>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload upgrade firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30402 - Failed to upload the firmware file for upgrade.
-39022 - This file size is too large.
-39027 - Invalid upgrade file.

deleteUpgradeFirmware ​

DELETE /openapi/v1/{omadacId}/firmwares/{firmwareId}/upgrade

Delete upgrade firmware

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
firmwareIdpathstringyesFirmware ID
json
// omada_call_operation
{
  "operationId": "deleteUpgradeFirmware",
  "params": {
    "firmwareId": "<firmwareId>"
  }
}
Details, permissions and error codes

Delete the manually uploaded firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

createFirmwareUpgradePlan ​

POST /openapi/v1/{omadacId}/firmwares/{firmwareId}/upgrade/plan

Create firmware upgrade plan based on manually uploaded firmware

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
firmwareIdpathstringyesFirmware ID

Request body — application/json (required) — schema PlanFirmwareUpgradeCreateInfo

FieldTypeRequiredDescription
sitesarray<string>yesList of site ID selected by the user
yearintegernoThe year selected by the user
monthOfYearintegernoThe month of the year selected by the user, It should be within the range of 1-12
dayOfMonthintegernoThe day of the month selected by the user, It should be within the range of 1-31
hourintegernoThe hour of the day selected by the user, It should be within the range of 0-23
minuteintegernoThe minute in the hour selected by the user, It should be within the range of 0-59
scheduleTypeintegeryesThe type of upgrade execution time, where 0 represents now and 1 represents the specified time
json
// omada_call_operation
{
  "operationId": "createFirmwareUpgradePlan",
  "params": {
    "firmwareId": "<firmwareId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create an upgrade plan based on manually uploaded firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-30100 - Please select at least one site.
-39021 - Invalid file for upgrading.
-7131 - Controller ID not exist.

getUpgradeFailedDeviceInfos ​

GET /openapi/v1/{omadacId}/logs/{upgradeLogId}/upgrade/overview/failed-devices

Get the list of devices which upgrade failed

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
upgradeLogIdpathstringyesThe Upgrade log ID obtained from the interface (Get firmware upgrade logs)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getUpgradeFailedDeviceInfos",
  "params": {
    "upgradeLogId": "<upgradeLogId>"
  }
}
Details, permissions and error codes

Get the list of devices which upgrade failed through upgrade logs
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only

getUpgradeFailedDeviceFirmwareInfo ​

GET /openapi/v1/{omadacId}/logs/{upgradeLogId}/upgrade/overview/failed-model-firmware

Get firmware information about the failed device to be upgraded

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
upgradeLogIdpathstringyesThe Upgrade log ID obtained from the interface (Get firmware upgrade logs)
json
// omada_call_operation
{
  "operationId": "getUpgradeFailedDeviceFirmwareInfo",
  "params": {
    "upgradeLogId": "<upgradeLogId>"
  }
}
Details, permissions and error codes

Get firmware information about the failed device to be upgraded
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-34558 - This model in the selected site has already specified a firmware version.

createFailedDeviceModelPlan ​

POST /openapi/v1/{omadacId}/logs/{upgradeLogId}/upgrade/overview/failed-model-plan

Create Upgrade Plan for Failed Device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
upgradeLogIdpathstringyesThe Upgrade log ID obtained from the interface (Get firmware upgrade logs)

Request body — application/json (required) — schema FailedCreateModelPlanUpgradeInfo

FieldTypeRequiredDescription
yearintegernoThe year selected by the user
monthOfYearintegernoThe month of the year selected by the user, It should be within the range of 1-12
dayOfMonthintegernoThe day of the month selected by the user, It should be within the range of 1-31
hourintegernoThe hour of the day selected by the user, It should be within the range of 0-23
minuteintegernoThe minute in the hour selected by the user, It should be within the range of 0-59
scheduleTypeintegeryesThe type of upgrade execution time, where 0 represents now and 1 represents the specified time
json
// omada_call_operation
{
  "operationId": "createFailedDeviceModelPlan",
  "params": {
    "upgradeLogId": "<upgradeLogId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Upgrade Plan for Failed Device
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-1005 - Operation forbidden.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-39061 - The target firmware has been removed/deleted. Please reset the rule.

createRollback ​

POST /openapi/v1/{omadacId}/logs/{upgradeLogId}/upgrade/overview/rollback

Create rollback plan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
upgradeLogIdpathstringyesThe Upgrade log ID obtained from the interface (Get firmware upgrade logs)

Request body — application/json (required) — schema RollbackCreateInfo

FieldTypeRequiredDescription
yearintegernoUser selected year
monthOfYearintegernoThe month of the year selected by the user, It should be within the range of 1-12
dayOfMonthintegernoThe day of the month selected by the user, It should be within the range of 1-31
hourintegernoThe hour selected by the user, It should be within the range of 0-23
minuteintegernoThe minute selected by the user, It should be within the range of 0-59
scheduleTypeintegeryesThe type of execution time for the upgrade, where 0 represents now and 1 represents the specified time
targetVersionstringyesUser selected rollback version, It should not be null
json
// omada_call_operation
{
  "operationId": "createRollback",
  "params": {
    "upgradeLogId": "<upgradeLogId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

You can choose a specific time to create a rollback plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.

deleteUpgradePlan ​

DELETE /openapi/v1/{omadacId}/plans/{planId}/upgrade/overview

Delete firmware upgrade plan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
planIdpathstringyesUpgrade Plan ID
json
// omada_call_operation
{
  "operationId": "deleteUpgradePlan",
  "params": {
    "planId": "<planId>"
  }
}
Details, permissions and error codes

Delete firmware upgrade plan.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

editUpgradePlan ​

PATCH /openapi/v1/{omadacId}/plans/{planId}/upgrade/overview

Edit firmware upgrade plan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
planIdpathstringyesUpgrade Plan ID

Request body — application/json (required) — schema PlanUpgradeEditInfo

FieldTypeRequiredDescription
sitesarray<string>yesList of site IDs selected by the user
yearintegernoUser selected year
monthOfYearintegernoThe month of the year selected by the user, It should be within the range of 1-12
dayOfMonthintegernoThe day of the month selected by the user, It should be within the range of 1-31
hourintegernoThe hour selected by the user, It should be within the range of 0-23
minuteintegernoThe minute selected by the user, It should be within the range of 0-59
scheduleTypeintegeryesThe type of execution time for the upgrade, where 0 represents now and 1 represents the specified time
json
// omada_call_operation
{
  "operationId": "editUpgradePlan",
  "params": {
    "planId": "<planId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Edit firmware upgrade plan.
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

getGridAutoCheckUpgrade ​

GET /openapi/v1/{omadacId}/upgrade/autoCheck

Get autocheck upgrade plan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.autoCheckTimequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field upgrade
json
// omada_call_operation
{
  "operationId": "getGridAutoCheckUpgrade"
}
Details, permissions and error codes

Paging to get autocheck upgrade plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.

createAutoCheckUpgrade ​

POST /openapi/v1/{omadacId}/upgrade/autoCheck

Create autocheck upgrade plan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema AutoCheckUpgradeCreateInfo

FieldTypeRequiredDescription
modelTypeInfosarray<ModelTypeInfoOpenApiVO>yesList of model type selected by the user, and it should not be null
siteIdsarray<string>yesList of sites selected by the user, and it should not be null
occurrenceUpgradeBaseScheduleTimeOpenApiVOyes(UpgradeBaseScheduleTimeOpenApiVO not expanded; call omada_get_schema "UpgradeBaseScheduleTimeOpenApiVO")
channelintegeryesChannel should be a value as follows: 0: stable; 1: Release Candidate(RC); 2: Beta, and it should not be null
json
// omada_call_operation
{
  "operationId": "createAutoCheckUpgrade",
  "body": "{...}"
}
Details, permissions and error codes

Create autocheck upgrade plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-30100 - Please select at least one site.
-7131 - Controller ID not exist.

checkUploadUpgradeFirmwareLimit ​

POST /openapi/v1/{omadacId}/upgrade/firmware-size/{firmwareSize}

Check the limit of the firmware pool

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
firmwareSizepathstringyesfirmwareSize
json
// omada_call_operation
{
  "operationId": "checkUploadUpgradeFirmwareLimit",
  "params": {
    "firmwareSize": "<firmwareSize>"
  }
}
Details, permissions and error codes

Check the limit of the firmware pool
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34577 - The file size has exceeded the limit.

getGridFirmwareList ​

GET /openapi/v1/{omadacId}/upgrade/firmwares

Get the uploaded firmware list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.modelTypeInfoquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.uploadTimequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field upgrade
json
// omada_call_operation
{
  "operationId": "getGridFirmwareList"
}
Details, permissions and error codes

Paging to get the uploaded firmware list
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only

editFirmwareUpgrade ​

POST /openapi/v1/{omadacId}/upgrade/firmwares/{firmwareId}

Edit the uploaded firmware

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
firmwareIdpathstringyesFirmware ID

Request body — application/json (required) — schema EditUploadFirmwareInfo

FieldTypeRequiredDescription
descriptionstringnoDescription of firmware
targetEnablebooleannoDo the sites set up specified firmware, it should be a value as follows: true, false
targetSitesarray<string>noTarget sites ID, it exists when "targetEnable" is true
json
// omada_call_operation
{
  "operationId": "editFirmwareUpgrade",
  "params": {
    "firmwareId": "<firmwareId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Edit the uploaded firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-39021 - Invalid file for upgrading.

getTargetFirmwareAllSites ​

GET /openapi/v1/{omadacId}/upgrade/firmwares/{firmwareId}/target-sites

Get all sites of target firmware

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
firmwareIdpathstringyesFirmware ID
json
// omada_call_operation
{
  "operationId": "getTargetFirmwareAllSites",
  "params": {
    "firmwareId": "<firmwareId>"
  }
}
Details, permissions and error codes

Get all sites of target firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-39021 - Invalid file for upgrading.

getModelBySites ​

POST /openapi/v1/{omadacId}/upgrade/models

Get the model of the specified site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema UpgradeSiteModelReqInfo

FieldTypeRequiredDescription
siteIdsarray<string>noList collection of siteID
json
// omada_call_operation
{
  "operationId": "getModelBySites",
  "body": "{...}"
}
Details, permissions and error codes

Get the model of the specified site. If no site is specified, it defaults to all authorized sites
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only

getcriticalModelNum ​

GET /openapi/v1/{omadacId}/upgrade/overview/critical

Get the number of critical models

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getcriticalModelNum"
}
Details, permissions and error codes

You can get the number of critical models.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.

getGridFirmwarePoolList ​

GET /openapi/v1/{omadacId}/upgrade/overview/firmwares

Get firmware pool list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
channelqueryintegeryesChannel should be a value as follows: 0: stable; 1: Release Candidate(RC); 2: Beta.
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.modelTypeInfoquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.releaseTimequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
json
// omada_call_operation
{
  "operationId": "getGridFirmwarePoolList",
  "params": {
    "channel": "<channel>"
  }
}
Details, permissions and error codes

Paging to get firmware pool list
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.

getModelFirmwareReleaseNotes ​

POST /openapi/v1/{omadacId}/upgrade/overview/firmwares/release-note

Get release notes information

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ModelFwReleaseNoteReqInfo

FieldTypeRequiredDescription
oemIdstringyesID, you can also get this field throw: "Get the firmware pool list"
json
// omada_call_operation
{
  "operationId": "getModelFirmwareReleaseNotes",
  "body": "{...}"
}
Details, permissions and error codes

Get release notes information of a firmware series
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.

getGridUpgradeLogs ​

GET /openapi/v1/{omadacId}/upgrade/overview/logs

Get firmware upgrade logs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.upgradeTimequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.modelTypeInfoquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
json
// omada_call_operation
{
  "operationId": "getGridUpgradeLogs"
}
Details, permissions and error codes

Paging to get firmware upgrade logs.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.

getEmailReminderSwitchStatus ​

GET /openapi/v1/{omadacId}/upgrade/overview/mail/reminder

Get Email Reminder Switch Status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getEmailReminderSwitchStatus"
}
Details, permissions and error codes

You can get email reminder switch status
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only

modifyEmailReminderSwitchStatus ​

PATCH /openapi/v1/{omadacId}/upgrade/overview/mail/reminder

Modify Email Reminder Switch Status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema UpgradeSettingEmailReminder

FieldTypeRequiredDescription
enablebooleanyesEmail Reminder switch status
json
// omada_call_operation
{
  "operationId": "modifyEmailReminderSwitchStatus",
  "body": "{...}"
}
Details, permissions and error codes

You can modify email reminder switch status
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34598 - The Device Update Notifications is disabled. Cannot configure Email notifications.
-7131 - Controller ID not exist.

getGridUpgradePlans ​

GET /openapi/v1/{omadacId}/upgrade/overview/plans

Get firmware upgrade plans

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.scheduledUpgradeTimequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.modelTypeInfoquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
json
// omada_call_operation
{
  "operationId": "getGridUpgradePlans"
}
Details, permissions and error codes

Paging to get firmware upgrade plans.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only

createUpgradePlan ​

POST /openapi/v1/{omadacId}/upgrade/overview/plans

Create firmware upgrade plan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema PlanUpgradeCreateInfo

FieldTypeRequiredDescription
sitesarray<string>yesList of site ID selected by the user
yearintegernoThe year selected by the user
monthOfYearintegernoThe month of the year selected by the user, It should be within the range of 1-12
dayOfMonthintegernoThe day of the month selected by the user, It should be within the range of 1-31
hourintegernoThe hour of the day selected by the user, It should be within the range of 0-23
minuteintegernoThe minute in the hour selected by the user, It should be within the range of 0-59
modelListarray<PlanUpgradeSelectedModel>yesList of model selected for planned upgrade
scheduleTypeintegeryesThe type of upgrade execution time, where 0 represents now and 1 represents the specified time
json
// omada_call_operation
{
  "operationId": "createUpgradePlan",
  "body": "{...}"
}
Details, permissions and error codes

Create firmware upgrade plan.
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

getTryBetaStatus ​

GET /openapi/v1/{omadacId}/upgrade/overview/try-beta

Get try-beta switch status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getTryBetaStatus"
}
Details, permissions and error codes

You can get try-beta switch status
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only

modifyTryBetaStatus ​

PATCH /openapi/v1/{omadacId}/upgrade/overview/try-beta

Modify try-beta switch status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema UpgradeSettingTryBeta

FieldTypeRequiredDescription
enablebooleanyesTry beta switch status
json
// omada_call_operation
{
  "operationId": "modifyTryBetaStatus",
  "body": "{...}"
}
Details, permissions and error codes

You can modify the try-beta switch status
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34556 - Try Beta switch cannot be turned off after being turned on.

getTryBetaChannel ​

GET /openapi/v1/{omadacId}/upgrade/overview/try-beta/channel

Get try-beta Channel Info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getTryBetaChannel"
}
Details, permissions and error codes

You can get try-beta channel info
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only

modifyTryBetaChannel ​

PATCH /openapi/v1/{omadacId}/upgrade/overview/try-beta/channel

Modify try-beta Channel Info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema UpgradeSettingTryBetaChannel

FieldTypeRequiredDescription
channelintegeryesChannel should be a value as follows: 0:Stable; 1:Release Candidate; 2:Beta
json
// omada_call_operation
{
  "operationId": "modifyTryBetaChannel",
  "body": "{...}"
}
Details, permissions and error codes

You can modify try-beta channel info
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34599 - The "Join Early Access Program" option is not selected. Cannot configure the firmware channel subscription.

getPlanUpgradeModelInfo ​

POST /openapi/v1/{omadacId}/upgrade/plan/firmware

Get the upgradeable information of the selected model

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ModelUpgradeInfo

FieldTypeRequiredDescription
modelListarray<string>yesThe selected model list.
selectTypestringyesSelectType should be a value as follows: all: select all; include: include selected modelList; exclude: all but exclude selected modelList.
json
// omada_call_operation
{
  "operationId": "getPlanUpgradeModelInfo",
  "body": "{...}"
}
Details, permissions and error codes

Get the upgradeable information of the selected model.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.

getGridPlanUpgradeModelList ​

GET /openapi/v1/{omadacId}/upgrade/plan/models

Get the list of models

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.modelTypeInfoquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field upgrade
json
// omada_call_operation
{
  "operationId": "getGridPlanUpgradeModelList"
}
Details, permissions and error codes

Get the list of models on the Controller upgrade plan page.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.

getGridPlanUpgradeSiteList ​

POST /openapi/v1/{omadacId}/upgrade/plan/sites

Get the sites of the selected model

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ModelUpgradeSiteReqInfo

FieldTypeRequiredDescription
currentPageintegeryesStart page number. Start from 1.
currentPageSizeintegeryesNumber of entries per page. It should be within the range of 1–100.
modelsarray<ModelBaseInfo>yesModel base information list, include Model type information and currentVersion list
json
// omada_call_operation
{
  "operationId": "getGridPlanUpgradeSiteList",
  "body": "{...}"
}
Details, permissions and error codes

Paging to get the sites of the selected model
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.